Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

IOBinarydataHandler.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\IO;
8
9 use eZ\Publish\Core\IO\Exception\BinaryFileNotFoundException;
10 use eZ\Publish\SPI\IO\BinaryFileCreateStruct;
11
15 interface IOBinarydataHandler
16 {
24 public function create(BinaryFileCreateStruct $binaryFileCreateStruct);
25
33 public function delete($spiBinaryFileId);
34
44 public function getContents($spiBinaryFileId);
45
53 public function getResource($spiBinaryFileId);
54
62 public function getUri($spiBinaryFileId);
63
71 public function getIdFromUri($binaryFileUri);
72
78 public function deleteDirectory($spiPath);
79 }
eZ\Publish\Core\IO\Exception\BinaryFileNotFoundException
Definition: BinaryFileNotFoundException.php:13
eZ\Publish\Core\IO\Values\BinaryFileCreateStruct
Create struct for BinaryFile objects.
Definition: Core/IO/Values/BinaryFileCreateStruct.php:15
eZ\Publish\SPI\IO\BinaryFileCreateStruct
Create struct for BinaryFile objects.
Definition: SPI/IO/BinaryFileCreateStruct.php:13
eZ\Publish\Core\IO\IOBinarydataHandler
Provides reading & writing of files binary data.
Definition: IOBinarydataHandler.php:16
eZ\Publish\Core\IO\IOBinarydataHandler\getIdFromUri
getIdFromUri($binaryFileUri)
Returns the id in $binaryFileUri.
eZ\Publish\Core\IO\IOBinarydataHandler\create
create(BinaryFileCreateStruct $binaryFileCreateStruct)
Creates a new file with data from $binaryFileCreateStruct.
eZ\Publish\Core\IO\IOBinarydataHandler\getResource
getResource($spiBinaryFileId)
Returns a read-only, binary file resource to $path.
eZ\Publish\Core\IO\IOBinarydataHandler\getUri
getUri($spiBinaryFileId)
Returns the public URI for $path.
eZ\Publish\Core\IO\IOBinarydataHandler\getContents
getContents($spiBinaryFileId)
Returns the binary content from $path.
eZ\Publish\Core\IO\IOBinarydataHandler\deleteDirectory
deleteDirectory($spiPath)
Deletes the directory $spiPath and all of its contents.
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.